Subject: bug#53286: closed (Re: [bug#53286] [PATCH v2 0/3] Small fixes for some matrix packages)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 Jan 2022 23:20:02 +0000

Your bug report

#53286: [PATCH 0/3] Small fixes for some matrix packages

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53286: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53286
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#53286] [PATCH v2 0/3] Small fixes for some matrix packages
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 17 Jan 2022 00:19:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] writes:

> Thanks for catching that Maxime!  That'll teach me to run guix lint before submitting patches :P
>
> Thanks for pointing me to Bug#52700 Aleksandr!  I've combined your changes into mine and made you a co-author.  I hope that's ok with you.
>
> These changes have been tested by installing them and using them.  So I setup pantalaimon and had it decrypt some matrix messages for me which I viewed using emacs-ement.
>
> [PATCH v2 1/3] gnu: emacs-ement: Propagate inputs.
> [PATCH v2 2/3] gnu: Add python-pydbus.
> [PATCH v2 3/3] gnu: pantalaimon: Add needed inputs

I applied the patch set. Thank you.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH 0/3] Small fixes for some matrix packages
From: [email-masked]
To: [email-masked]
Date: Sat, 15 Jan 2022 11:28:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

So emacs-ement doesn't work without its inputs being propagated.  I think pantalaimon works with its current inputs but the panctl program to control pantalaimon (which is part of the pantalaimon package) doesn't work without these inputs.

[PATCH 1/3] gnu: emacs-ement: Propagate inputs.
[PATCH 2/3] gnu: Add python-pydbus.
[PATCH 3/3] gnu: pantalaimon: Add needed inputs